// init-mongo.js

// Crear usuario con todos los permisos sobre 'mibase'
db = db.getSiblingDB('mibase');

db.createUser({
    user: "miusuario",
    pwd: "mipassword",
    roles: [{ role: "dbOwner", db: "mibase" }]
});

// Inicializar el replica set (solo se ejecuta en el contenedor que será primario)
rs.initiate({
    _id: "rs0",
    members: [
        { _id: 0, host: "192.168.1.101:27017" }, // primario
        { _id: 1, host: "192.168.1.102:27017" }, // secundario
        { _id: 2, host: "192.168.1.103:27017" }  // secundario
    ]
});

